### A free/open-source library for quantitative finance

Public Member Functions
AnalyticDiscreteGeometricAverageStrikeAsianEngine Class Reference
Asian option engines

Pricing engine for European discrete geometric average-strike Asian option. More...

`#include <ql/pricingengines/asian/analytic_discr_geom_av_strike.hpp>`

Inheritance diagram for AnalyticDiscreteGeometricAverageStrikeAsianEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticDiscreteGeometricAverageStrikeAsianEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const

## Detailed Description

Pricing engine for European discrete geometric average-strike Asian option.

This class implements a discrete geometric average-strike Asian option, with European exercise. The formula is from "Asian Option", E. Levy (1997) in "Exotic Options: The State of the Art", edited by L. Clewlow, C. Strickland, pag 65-97

Tests:
  - the correctness of the returned value is tested by reproducing known good results.